Service Desk - Feature #1343

Language Translation Implementation in total application
26/09/2024 01:05 PM - Surender Billa

Status: Resolved Start date: 24/09/2024
Priority: Low Due date: 27/09/2024
Assignee: Surender Billa % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Dev Envrionment Category: ul
Description

Task Overview:
We need to implement language translation across the following pages:
Login,

Dashboard,
Newtickets,
Mytickets,
Change-password,
Create-User,
Support,

Reports,
User-Manual,
Change-Password,

Steps to Follow:
1. Create JSON Language Files:
Develop JSON files for each supported language.

Define keys for all text elements on the pages mentioned.

2. Implement Translation in HTML Files:

Replace static text in the HTML files with the corresponding translation keys from the JSON files.

3. Update TypeScript (TS) Files:

Ensure that the logic in the TS files retrieves the correct translations based on the user's selected language.

History

#1 - 04/10/2024 03:51 PM - Surender Billa
- Due date set to 27/09/2024

- Status changed from In Progress to Resolved
